-- Generic utility functions, because sometimes being lazy is more efficient

import "CoreLibs/graphics"

local geom <const> = playdate.geometry

util = {}

-- create a unit vector that points from x1, y1 to x2, y2
-- alternately you can pass 2 playdate.geometry.point() objects instead
function util.unitPointer(x1, y1, x2, y2)
   local a = nil 
   local b = nil 
   if type(x1) == "number" then
      a = geom.point.new(x1, y1)
      b = geom.point.new(x2, y2)
   else
      a = x1
      b = y1
   end

   return (b-a):normalized()
end
